Bug 8340 - [UPDATE REQUEST 2016.1] libmtp 1.1.13
: [UPDATE REQUEST 2016.1] libmtp 1.1.13
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-15 05:47 MSD by Алзим
Modified: 2017-10-09 09:54 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2017-09-15 05:47:22 MSD
Christophe Vu-Brugier (1):
      added GoPro HERO5 Black

Emeric Grange (2):
      added GoPro HERO5 Session
      rename F5321 into XPeria X Compact

Gaute Hope (2):
      add GoPro Hero+
      add mtp-detect for GoPro Hero+

Jerry Zhang (1):
      Update Google device strings, add (PTP+ADB) id

Marcus Meissner (69):
      added archos diamond s https://sourceforge.net/p/libmtp/support-requests/222/
      added bq aquaris x5 https://sourceforge.net/p/libmtp/support-requests/224/
      added lenovo k910ss https://sourceforge.net/p/libmtp/bugs/1597/
      zuk z1 second id https://sourceforge.net/p/libmtp/bugs/1596/
      zuk z1 log
      added cat s60 https://sourceforge.net/p/libmtp/feature-requests/176/
      oneplus one 3 log
      added archos diamonds , https://sourceforge.net/p/libmtp/support-requests/222/
      added another alcatel idol 3 id https://sourceforge.net/p/libmtp/bugs/1605/
      added tp-link neffos c5 https://sourceforge.net/p/libmtp/bugs/1606/
      added caterpillar cat s40 https://sourceforge.net/p/libmtp/bugs/1603/
      added lenovo vibe note k5 https://sourceforge.net/p/libmtp/bugs/1608/
      added BLU studio energy x2 phone adjusted the other BLU id to 4017
      added huawei y560-l01 https://sourceforge.net/p/libmtp/feature-requests/177/
      intex aqua fish https://sourceforge.net/p/libmtp/bugs/1613/
      added bq aquarius x5 (another id) https://sourceforge.net/p/libmtp/feature-requests/181/
      added HTC Butterfly x920e https://sourceforge.net/p/libmtp/bugs/1615/
      Motorola Pro+ added https://sourceforge.net/p/libmtp/feature-requests/189/
      added Lenovo A706 https://sourceforge.net/p/libmtp/support-requests/232/
      added sony f5231 https://sourceforge.net/p/libmtp/support-requests/230/
      added Huawei Y360-U61 https://sourceforge.net/p/libmtp/feature-requests/186/ https://bugs.launchpad.net/ubuntu/+source/libmtp/+bug/1572658
      added acer liquid z220 https://sourceforge.net/p/libmtp/support-requests/228/
      added lenovo k920 https://sourceforge.net/p/libmtp/bugs/1595/
      replace the major.version parsing logic by sscanf, allow a non-minor entry (as seen on Samsung) https://sourceforge.net/p/libmtp/bugs/1593/
      added lenovo b smartphone https://sourceforge.net/p/libmtp/bugs/1624/
      added lenovo P1ma40P https://sourceforge.net/p/libmtp/support-requests/235/
      added HUAWEI Y320-U10 https://sourceforge.net/p/libmtp/bugs/1629/
      added huawei frd l09 https://sourceforge.net/p/libmtp/bugs/1626/
      htc desire 626g dual sim https://sourceforge.net/p/libmtp/bugs/1632/
      render opcodes as opcodes, not ofc. render event names
      added Kyocera Hydra Wave (model C6740N, Android version 5.1) https://sourceforge.net/p/libmtp/feature-requests/192/
      added SHARP SHV35 AQUOS U https://sourceforge.net/p/libmtp/feature-requests/192/
      iriver ak70 https://sourceforge.net/p/libmtp/bugs/1634/
      Intex AquaFish SailFish OS https://sourceforge.net/p/libmtp/feature-requests/201/
      added TP-Link Neffos C5 MAX https://sourceforge.net/p/libmtp/feature-requests/197/
      added tp-link neffos y5l https://sourceforge.net/p/libmtp/feature-requests/196/
      added tp-link neffos y5 https://sourceforge.net/p/libmtp/feature-requests/195/
      added Blephone lephone T7+ https://sourceforge.net/p/libmtp/feature-requests/194/
      added Archos 101b Oxygen https://sourceforge.net/p/libmtp/bugs/1637
      Merge /u/drzap/libmtp/ branch gopro_heroplus into master
      added Huawei Nova https://sourceforge.net/p/libmtp/bugs/1640/
      added acer liquid zest plus
      added sony xperia z5 debug data https://sourceforge.net/p/libmtp/bugs/1631/
      added blu energy x lte data
      added lenovo k5
      added Lenovo TAB 2 A10-30 https://sourceforge.net/p/libmtp/feature-requests/204/
      added ASUS ME581CL https://sourceforge.net/p/libmtp/bugs/1642/
      added Nubia Z9 Max "NX512j" https://sourceforge.net/p/libmtp/bugs/1646/
      added Huawei Y360-U03 https://sourceforge.net/p/libmtp/feature-requests/205/
      nokia lumia 550
      added Sony XPeria XA https://sourceforge.net/p/libmtp/bugs/1649/
      added rim blackberry dtek 60 https://sourceforge.net/p/libmtp/bugs/1658/
      added nextbit robin https://sourceforge.net/p/libmtp/bugs/1663/
      added lenovo k4 vibe https://sourceforge.net/p/libmtp/bugs/1664/
      added archos diamond 55 selfie https://sourceforge.net/p/libmtp/feature-requests/209/
      added yota yotaphone https://sourceforge.net/p/libmtp/bugs/1661/
      added Asus Zenfone Go (ZC500TG) https://sourceforge.net/p/libmtp/feature-requests/208/
      Archos 70b Neon https://sourceforge.net/p/libmtp/bugs/1660/
      added sony xperia xz https://sourceforge.net/p/libmtp/feature-requests/207/
      imported ptp* from libgphoto2
      Merge /u/cvubrugier/libmtp/ branch master into master
      added Lenovo S960 https://sourceforge.net/p/libmtp/bugs/1673/
      wrong render command, this is opcode not ofc
      Fixed getpartialobject on non-x86_64 systems
      Merge branch 'master' of ssh://git.code.sf.net/p/libmtp/code
      add casts for varargs from 64bit to 32bit
      Reenable MTP GetObjectProplist for Samsung Galaxy Models. (Seems to work on my S7) Reenable also for Motorola G2. added POINT OF VIEW TAB-I847 https://sourceforge.net/p/libmtp/feature-requests/215/
      adjusted G2 entry
      release 1.1.13

Stanisław Pitucha (1):
      Add LIBMTP_FILES_AND_FOLDERS_ROOT and fix examples
Comment 1 Алзим 2017-09-15 05:49:10 MSD
Updated to 1.1.13
https://abf.io/build_lists/2893738
https://abf.io/build_lists/2893739
Comment 2 Vladimir Potapov 2017-09-19 18:12:00 MSD
Please, build it for 2014.1
Comment 3 Алексей-З 2017-09-19 18:59:05 MSD
(In reply to comment #2)
> Please, build it for 2014.1

http://bugs.rosalinux.ru/show_bug.cgi?id=8351
Comment 4 Vladimir Potapov 2017-10-03 18:24:06 MSD
The update is sent to expanded testing
****************************************
Comment 5 Vladimir Potapov 2017-10-09 07:06:26 MSD
libmtp-1.1.13-1
https://abf.io/build_lists/2893738
https://abf.io/build_lists/2893739
****************************** Advisory *******************************
Updated to 1.1.13
***********************************************************************
QA Verified